afbeelding van joker

drupal 9 php 7.3

Iemand al ervaring met het werken met drupal 9?

Recent wou ik toch de pas uitgekomen versie eens installeren. Lukte niet omdat ik php 7.3 nodig had.
Nadat ik dit bij mijn host Vimexx had ingesteld lukte het installeren van drupal 9 wel, maar vertoonden mijn andere sites in drupal 8 bij dezelfde host (en server) de volgende boodschap: The website encountered an unexpected error. Please try again later.
Eenmaal ik de php terug op 7.1 zette werkten ze weer als van ouds.

Ik dacht nochtans dat drupal 8 overweg kon met php 7.3

Iemand enige uitleg hiervoor?

Auteur: 
joker
afbeelding van Niek Kloots
Door Niek Kloots op 11 juni, 2020 - 16:11

Dan is er wat anders aan de gang, want volgens https://www.drupal.org/node/3038583 moet het kunnen.

http://familiekloots.nl
hobby: https://dldsa.nl

afbeelding van joker
Door joker op 11 juni, 2020 - 17:48

Contact genomen met mijn host die verwees naar het feit dat mss sommige geïnstalleerde modules niet php 7.3 proof zijn. Maar ik heb toen eens een nieuwe drupal 8.9 geinstalleerd en die gaf hetzelfde probleem.
Nochtans het volgende gelezen: Recommended PHP version increased

Drupal 8.9 runs on all PHP 7 versions; however, it is recommended to update to at least PHP 7.3. Only PHP 7.3 and 7.4 are supported by the PHP maintainers until Drupal 8.9's end-of-life in November 2021. Users will see a status report message with this information.

groet
Joker

afbeelding van joker
Door joker op 11 juni, 2020 - 22:47

Ik heb in

groet
Joker

afbeelding van joker
Door joker op 12 juni, 2020 - 10:42

Ondertussen via contact met mijn host geleerd dat je per domein de php versie kan instellen (forceren) door in het .htacces het volgende toe te voegen:
"<FilesMatch "\.(php|phtml)$">
SetHandler application/x-lsphp73
</FilesMatch>"

Hiermee staat enkel in de public_html map van mijn drupal 9 site de php versie op 7.3
Waarom mijn drupal 8 sites niet overweg kunnen met php 7.3 is me nog een raadsel

groet
Joker

afbeelding van belba
Door belba op 12 juni, 2020 - 12:54

Beste

Ik heb ook een paar sites bij Vimexx. Een D7 en twee D8. Die draaien goed op PHP 7.2

Lokaal werk ik met PHP 7.3. Alle sites werken feilloos met die versie.Je Drupal versies moeten wel minstens 8.6.4 zijn.
Update je site met composer en ook al je modules.

Drupal 9 heb ik twee keer deze week geïnstalleerd. 1 Keer met composer, 1 keer manueel. Alles goed, tot ik een eerste module installeer, de site niet meer bereikbaar. Versie 8.9 gaf nog geen problemen. Die versie wordt nog ondersteunt tot eind volgend jaar. Afwachten tot er wat meer reviews zijn voor de 9.

Ik lees graag reactie van een werkende Drupal 9. Want we gaan toch voor de toekomst.

Gegroet
Jan

afbeelding van joker
Door joker op 12 juni, 2020 - 16:48

ik heb even getest bij mijn drupal 9 installatie. Sommige modules (admin toolbar, asset injector) worden probleemloos geïnstalleerd, andere (honeypot) gaf probleem. Ook eens een thema geïnstalleerd (Vani 8.x-1.2) ook zonder problemen. Wel niet via composer gewerkt.

groet
Joker

Bookmark and Share

Drupal is een geregistreerd merk van Dries Buytaert. | Powered by Pantheon.

Drupal.be/Drupal.nl is de website van de Nederlandstalige Drupalgemeenschap.

onomatopee